Index: c/src/exec/score/ChangeLog
===================================================================
--- c/src/exec/score/ChangeLog	(revision 5be35eecb438fb7c18d979215cce927a2e863996)
+++ c/src/exec/score/ChangeLog	(revision ff61414ac86ec7097a1c39a6904dacddf6f90599)
@@ -1,2 +1,15 @@
+
+2001-10-16	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* include/rtems/Makefile.am: Remove.
+	* include/rtems/Makefile.am: Remove.
+	* include/Makefile.am: Handle subdirs, require automake-1.5.
+	* macros/rtems/Makefile.am: Remove.
+	* macros/rtems/score/Makefile.am: Remove.
+	* macros/Makefile.am: Handle subdirs, require automake-1.5.
+	* inline/rtems/Makefile.am: Remove.
+	* inline/rtems/score/Makefile.am: Remove.
+	* inline/Makefile.am: Handle subdirs, require automake-1.5.
+	* Makefile.am: require automake-1.5
 
 2001-09-28	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
Index: c/src/exec/score/Makefile.am
===================================================================
--- c/src/exec/score/Makefile.am	(revision 5be35eecb438fb7c18d979215cce927a2e863996)
+++ c/src/exec/score/Makefile.am	(revision ff61414ac86ec7097a1c39a6904dacddf6f90599)
@@ -3,5 +3,5 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
+AUTOMAKE_OPTIONS = foreign 1.5
 
 SUBDIRS = include inline macros cpu src
Index: c/src/exec/score/include/Makefile.am
===================================================================
--- c/src/exec/score/include/Makefile.am	(revision 5be35eecb438fb7c18d979215cce927a2e863996)
+++ c/src/exec/score/include/Makefile.am	(revision ff61414ac86ec7097a1c39a6904dacddf6f90599)
@@ -3,8 +3,63 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
+AUTOMAKE_OPTIONS = foreign 1.5
 
-SUBDIRS = rtems
+$(PROJECT_INCLUDE)/%: %
+	$(INSTALL_DATA) $< $@
 
-include $(top_srcdir)/../../../automake/subdirs.am
+include_rtemsdir = $(includedir)/rtems
+
+$(PROJECT_INCLUDE)/rtems:
+	@$(mkinstalldirs) $@
+
+include_rtems_HEADERS = rtems/debug.h rtems/system.h rtems/seterr.h
+
+PREINSTALL_FILES = $(PROJECT_INCLUDE)/rtems \
+    $(include_rtems_HEADERS:%=$(PROJECT_INCLUDE)/%)
+
+include_rtems_scoredir = $(includedir)/rtems/score
+
+$(PROJECT_INCLUDE)/rtems/score:
+	@$(mkinstalldirs) $@
+
+# We only build multiprocessing related files if HAS_MP was defined
+MP_H_FILES = rtems/score/mpci.h rtems/score/mppkt.h rtems/score/objectmp.h \
+    rtems/score/threadmp.h
+
+# H_FILES that get installed in the rtems/score subdirectoy
+STD_H_FILES = rtems/score/address.h rtems/score/apiext.h \
+    rtems/score/bitfield.h rtems/score/chain.h rtems/score/context.h \
+    rtems/score/copyrt.h rtems/score/coremsg.h rtems/score/coremutex.h \
+    rtems/score/coresem.h rtems/score/heap.h rtems/score/interr.h \
+    rtems/score/isr.h rtems/score/object.h rtems/score/priority.h \
+    rtems/score/stack.h rtems/score/states.h rtems/score/sysstate.h \
+    rtems/score/thread.h rtems/score/threadq.h rtems/score/tod.h \
+    rtems/score/tqdata.h rtems/score/userext.h rtems/score/watchdog.h \
+    rtems/score/wkspace.h
+
+if HAS_MP
+include_rtems_score_HEADERS = $(STD_H_FILES) $(MP_H_FILES) rtems/score/cpuopts.h
+else
+include_rtems_score_HEADERS = $(STD_H_FILES) rtems/score/cpuopts.h
+endif
+
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score \
+    $(include_rtems_score_HEADERS:%=$(PROJECT_INCLUDE)/%)
+
+# make the cpu dependent options file
+# FIXME: We are exporting a config-header here, which is a bad idea in
+# general
+rtems/score/cpuopts.h: rtems/score/cpuopts-tmp.h
+	@echo "/* target cpu dependent options file */"        >$@
+	@echo "/* automatically generated -- DO NOT EDIT!! */" >>$@
+	@echo                                                  >>$@
+	@echo "#ifndef __CPU_OPTIONS_h"                        >>$@
+	@echo "#define __CPU_OPTIONS_h"                        >>$@
+	@echo                                                  >>$@
+	@cat cpuopts-tmp.h                                     >>$@
+	@echo                                                  >>$@
+	@echo "#endif"                                         >>$@
+
+all-local: $(PREINSTALL_FILES)
+
 include $(top_srcdir)/../../../automake/local.am
Index: src/exec/score/include/rtems/Makefile.am
===================================================================
--- c/src/exec/score/include/rtems/Makefile.am	(revision 5be35eecb438fb7c18d979215cce927a2e863996)
+++ 	(revision )
@@ -1,24 +1,0 @@
-##
-## $Id$
-##
-
-AUTOMAKE_OPTIONS = foreign 1.4
-
-include_rtemsdir = $(includedir)/rtems
-
-include_rtems_HEADERS = debug.h system.h seterr.h
-
-PREINSTALL_FILES = $(PROJECT_INCLUDE)/rtems \
-    $(include_rtems_HEADERS:%=$(PROJECT_INCLUDE)/rtems/%)
-
-$(PROJECT_INCLUDE)/rtems:
-	@$(mkinstalldirs) $@
-$(PROJECT_INCLUDE)/rtems/%.h: %.h
-	$(INSTALL_DATA) $< $@
-
-all-local: $(PREINSTALL_FILES)
-
-SUBDIRS = score
-
-include $(top_srcdir)/../../../automake/subdirs.am
-include $(top_srcdir)/../../../automake/local.am
Index: src/exec/score/include/rtems/score/Makefile.am
===================================================================
--- c/src/exec/score/include/rtems/score/Makefile.am	(revision 5be35eecb438fb7c18d979215cce927a2e863996)
+++ 	(revision )
@@ -1,49 +1,0 @@
-##
-##  $Id$
-##
-
-AUTOMAKE_OPTIONS = foreign 1.4
-
-include_rtems_scoredir = $(includedir)/rtems/score
-
-# We only build multiprocessing related files if HAS_MP was defined
-MP_H_FILES = mpci.h mppkt.h objectmp.h threadmp.h
-
-# H_FILES that get installed in the rtems/score subdirectoy
-STD_H_FILES = address.h apiext.h bitfield.h chain.h context.h copyrt.h \
-    coremsg.h coremutex.h coresem.h heap.h interr.h isr.h object.h \
-    priority.h stack.h states.h sysstate.h thread.h threadq.h tod.h tqdata.h \
-    userext.h watchdog.h wkspace.h
-
-if HAS_MP
-include_rtems_score_HEADERS = $(STD_H_FILES) $(MP_H_FILES) cpuopts.h
-else
-include_rtems_score_HEADERS = $(STD_H_FILES) cpuopts.h
-endif
-
-PREINSTALL_FILES = $(PROJECT_INCLUDE)/rtems/score \
-    $(include_rtems_score_HEADERS:%=$(PROJECT_INCLUDE)/rtems/score/%)
-
-$(PROJECT_INCLUDE)/rtems/score:
-	@$(mkinstalldirs) $@
-
-$(PROJECT_INCLUDE)/rtems/score/%.h: %.h
-	$(INSTALL_DATA) $< $@
-
-# make the cpu dependent options file
-# FIXME: We are exporting a config-header here, which is a bad idea in
-# general
-cpuopts.h: cpuopts-tmp.h
-	@echo "/* target cpu dependent options file */"        >$@
-	@echo "/* automatically generated -- DO NOT EDIT!! */" >>$@
-	@echo                                                  >>$@
-	@echo "#ifndef __CPU_OPTIONS_h"                        >>$@
-	@echo "#define __CPU_OPTIONS_h"                        >>$@
-	@echo                                                  >>$@
-	@cat cpuopts-tmp.h                                     >>$@
-	@echo                                                  >>$@
-	@echo "#endif"                                         >>$@
-
-all-local: $(PREINSTALL_FILES)
-
-include $(top_srcdir)/../../../automake/local.am
Index: c/src/exec/score/inline/Makefile.am
===================================================================
--- c/src/exec/score/inline/Makefile.am	(revision 5be35eecb438fb7c18d979215cce927a2e863996)
+++ c/src/exec/score/inline/Makefile.am	(revision ff61414ac86ec7097a1c39a6904dacddf6f90599)
@@ -3,8 +3,42 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
+AUTOMAKE_OPTIONS = foreign 1.5
 
-SUBDIRS = rtems
+$(PROJECT_INCLUDE)/%: %
+	$(INSTALL_DATA) $< $@
 
-include $(top_srcdir)/../../../automake/subdirs.am
+include_rtems_scoredir = $(includedir)/rtems/score
+
+$(PROJECT_INCLUDE)/rtems/score:
+	@$(mkinstalldirs) $@
+
+## We only build multiprocessing related files if HAS_MP was defined
+MP_I_FILES = rtems/score/mppkt.inl rtems/score/objectmp.inl rtems/score/threadmp.inl
+
+STD_I_FILES = rtems/score/address.inl rtems/score/chain.inl \
+    rtems/score/coremsg.inl rtems/score/coremutex.inl rtems/score/coresem.inl \
+    rtems/score/heap.inl rtems/score/isr.inl rtems/score/object.inl \
+    rtems/score/priority.inl rtems/score/stack.inl rtems/score/states.inl \
+    rtems/score/sysstate.inl rtems/score/thread.inl rtems/score/tod.inl \
+    rtems/score/tqdata.inl rtems/score/userext.inl rtems/score/watchdog.inl \
+    rtems/score/wkspace.inl
+
+if HAS_MP
+I_FILES = $(STD_I_FILES) $(MP_I_FILES)
+else
+I_FILES = $(STD_I_FILES)
+endif
+
+if INLINE
+include_rtems_score_HEADERS = $(I_FILES)
+
+PREINSTALL_FILES = $(PROJECT_INCLUDE)/rtems/score \
+    $(include_rtems_score_HEADERS:%=$(PROJECT_INCLUDE)/%)
+
+endif
+
+all-local: $(PREINSTALL_FILES)
+
+EXTRA_DIST = $(STD_I_FILES) $(MP_I_FILES)
+
 include $(top_srcdir)/../../../automake/local.am
Index: src/exec/score/inline/rtems/Makefile.am
===================================================================
--- c/src/exec/score/inline/rtems/Makefile.am	(revision 5be35eecb438fb7c18d979215cce927a2e863996)
+++ 	(revision )
@@ -1,10 +1,0 @@
-##
-##  $Id$
-##
-
-AUTOMAKE_OPTIONS = foreign 1.4
-
-SUBDIRS = score
-
-include $(top_srcdir)/../../../automake/subdirs.am
-include $(top_srcdir)/../../../automake/local.am
Index: src/exec/score/inline/rtems/score/Makefile.am
===================================================================
--- c/src/exec/score/inline/rtems/score/Makefile.am	(revision 5be35eecb438fb7c18d979215cce927a2e863996)
+++ 	(revision )
@@ -1,39 +1,0 @@
-##
-## $Id$
-##
-
-AUTOMAKE_OPTIONS = foreign 1.4
-
-include_rtems_scoredir = $(includedir)/rtems/score
-
-## We only build multiprocessing related files if HAS_MP was defined
-MP_I_FILES = mppkt.inl objectmp.inl threadmp.inl
-
-STD_I_FILES = address.inl chain.inl coremsg.inl coremutex.inl coresem.inl \
-    heap.inl isr.inl object.inl priority.inl stack.inl states.inl \
-    sysstate.inl thread.inl tod.inl tqdata.inl userext.inl watchdog.inl \
-    wkspace.inl
-
-if HAS_MP
-I_FILES = $(STD_I_FILES) $(MP_I_FILES)
-else
-I_FILES = $(STD_I_FILES)
-endif
-
-include_rtems_score_HEADERS = $(I_FILES)
-
-if INLINE
-PREINSTALL_FILES = $(PROJECT_INCLUDE)/rtems/score \
-    $(include_rtems_score_HEADERS:%=$(PROJECT_INCLUDE)/rtems/score/%)
-
-$(PROJECT_INCLUDE)/rtems/score:
-	@$(mkinstalldirs) $@
-$(PROJECT_INCLUDE)/rtems/score/%.inl: %.inl
-	$(INSTALL_DATA) $< $@
-endif
-
-all-local: $(PREINSTALL_FILES)
-
-EXTRA_DIST = $(STD_I_FILES) $(MP_I_FILES)
-
-include $(top_srcdir)/../../../automake/local.am
Index: c/src/exec/score/macros/Makefile.am
===================================================================
--- c/src/exec/score/macros/Makefile.am	(revision 5be35eecb438fb7c18d979215cce927a2e863996)
+++ c/src/exec/score/macros/Makefile.am	(revision ff61414ac86ec7097a1c39a6904dacddf6f90599)
@@ -3,10 +3,42 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
+AUTOMAKE_OPTIONS = foreign 1.5
 
-SUBDIRS = rtems
+$(PROJECT_INCLUDE)/%: %
+	$(INSTALL_DATA) $< $@
 
-EXTRA_DIST = README
+include_rtems_scoredir = $(includedir)/rtems/score
 
-include $(top_srcdir)/../../../automake/subdirs.am
+$(PROJECT_INCLUDE)/rtems/score:
+	@$(mkinstalldirs) $@
+
+## We only build multiprocessing related files if HAS_MP was defined
+MP_I_FILES = rtems/score/mppkt.inl rtems/score/objectmp.inl rtems/score/threadmp.inl
+
+STD_I_FILES = rtems/score/address.inl rtems/score/chain.inl \
+    rtems/score/coremsg.inl rtems/score/coremutex.inl rtems/score/coresem.inl \
+    rtems/score/heap.inl rtems/score/isr.inl rtems/score/object.inl \
+    rtems/score/priority.inl rtems/score/stack.inl rtems/score/states.inl \
+    rtems/score/sysstate.inl rtems/score/thread.inl rtems/score/tod.inl \
+    rtems/score/tqdata.inl rtems/score/userext.inl rtems/score/watchdog.inl \
+    rtems/score/wkspace.inl
+
+if HAS_MP
+I_FILES = $(STD_I_FILES) $(MP_I_FILES)
+else
+I_FILES = $(STD_I_FILES)
+endif
+
+if MACROS
+include_rtems_score_HEADERS = $(I_FILES)
+
+PREINSTALL_FILES = $(PROJECT_INCLUDE)/rtems/score \
+    $(include_rtems_score_HEADERS:%=$(PROJECT_INCLUDE)/%)
+
+endif
+
+all-local: $(PREINSTALL_FILES)
+
+EXTRA_DIST = $(STD_I_FILES) $(MP_I_FILES) README
+
 include $(top_srcdir)/../../../automake/local.am
Index: src/exec/score/macros/rtems/Makefile.am
===================================================================
--- c/src/exec/score/macros/rtems/Makefile.am	(revision 5be35eecb438fb7c18d979215cce927a2e863996)
+++ 	(revision )
@@ -1,10 +1,0 @@
-##
-##  $Id$
-##
-
-AUTOMAKE_OPTIONS = foreign 1.4
-
-SUBDIRS = score
-
-include $(top_srcdir)/../../../automake/subdirs.am
-include $(top_srcdir)/../../../automake/local.am
Index: src/exec/score/macros/rtems/score/Makefile.am
===================================================================
--- c/src/exec/score/macros/rtems/score/Makefile.am	(revision 5be35eecb438fb7c18d979215cce927a2e863996)
+++ 	(revision )
@@ -1,39 +1,0 @@
-##
-## $Id$
-##
-
-AUTOMAKE_OPTIONS = foreign 1.4
-
-include_rtems_scoredir = $(includedir)/rtems/score
-
-## We only build multiprocessing related files if HAS_MP was defined
-MP_I_FILES = mppkt.inl objectmp.inl threadmp.inl
-
-STD_I_FILES = address.inl chain.inl coremsg.inl coremutex.inl coresem.inl \
-    heap.inl isr.inl object.inl priority.inl stack.inl states.inl \
-    sysstate.inl thread.inl tod.inl tqdata.inl userext.inl watchdog.inl \
-    wkspace.inl
-
-I_FILES = $(STD_I_FILES) $(MP_I_FILES)
-
-if MACROS
-if HAS_MP
-include_rtems_score_HEADERS = $(STD_I_FILES) $(MP_I_FILES)
-else
-include_rtems_score_HEADERS = $(STD_I_FILES)
-endif
-
-PREINSTALL_FILES = $(PROJECT_INCLUDE)/rtems/score \
-    $(include_rtems_score_HEADERS:%=$(PROJECT_INCLUDE)/rtems/score/%)
-
-$(PROJECT_INCLUDE)/rtems/score:
-	@$(mkinstalldirs) $@
-$(PROJECT_INCLUDE)/rtems/score/%.inl: %.inl
-	$(INSTALL_DATA) $< $@
-endif
-
-all-local: $(PREINSTALL_FILES)
-
-EXTRA_DIST = $(I_FILES)
-
-include $(top_srcdir)/../../../automake/local.am
Index: cpukit/score/ChangeLog
===================================================================
--- cpukit/score/ChangeLog	(revision 5be35eecb438fb7c18d979215cce927a2e863996)
+++ cpukit/score/ChangeLog	(revision ff61414ac86ec7097a1c39a6904dacddf6f90599)
@@ -1,2 +1,15 @@
+
+2001-10-16	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* include/rtems/Makefile.am: Remove.
+	* include/rtems/Makefile.am: Remove.
+	* include/Makefile.am: Handle subdirs, require automake-1.5.
+	* macros/rtems/Makefile.am: Remove.
+	* macros/rtems/score/Makefile.am: Remove.
+	* macros/Makefile.am: Handle subdirs, require automake-1.5.
+	* inline/rtems/Makefile.am: Remove.
+	* inline/rtems/score/Makefile.am: Remove.
+	* inline/Makefile.am: Handle subdirs, require automake-1.5.
+	* Makefile.am: require automake-1.5
 
 2001-09-28	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
Index: cpukit/score/Makefile.am
===================================================================
--- cpukit/score/Makefile.am	(revision 5be35eecb438fb7c18d979215cce927a2e863996)
+++ cpukit/score/Makefile.am	(revision ff61414ac86ec7097a1c39a6904dacddf6f90599)
@@ -3,5 +3,5 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
+AUTOMAKE_OPTIONS = foreign 1.5
 
 SUBDIRS = include inline macros cpu src
Index: cpukit/score/include/Makefile.am
===================================================================
--- cpukit/score/include/Makefile.am	(revision 5be35eecb438fb7c18d979215cce927a2e863996)
+++ cpukit/score/include/Makefile.am	(revision ff61414ac86ec7097a1c39a6904dacddf6f90599)
@@ -3,8 +3,63 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
+AUTOMAKE_OPTIONS = foreign 1.5
 
-SUBDIRS = rtems
+$(PROJECT_INCLUDE)/%: %
+	$(INSTALL_DATA) $< $@
 
-include $(top_srcdir)/../../../automake/subdirs.am
+include_rtemsdir = $(includedir)/rtems
+
+$(PROJECT_INCLUDE)/rtems:
+	@$(mkinstalldirs) $@
+
+include_rtems_HEADERS = rtems/debug.h rtems/system.h rtems/seterr.h
+
+PREINSTALL_FILES = $(PROJECT_INCLUDE)/rtems \
+    $(include_rtems_HEADERS:%=$(PROJECT_INCLUDE)/%)
+
+include_rtems_scoredir = $(includedir)/rtems/score
+
+$(PROJECT_INCLUDE)/rtems/score:
+	@$(mkinstalldirs) $@
+
+# We only build multiprocessing related files if HAS_MP was defined
+MP_H_FILES = rtems/score/mpci.h rtems/score/mppkt.h rtems/score/objectmp.h \
+    rtems/score/threadmp.h
+
+# H_FILES that get installed in the rtems/score subdirectoy
+STD_H_FILES = rtems/score/address.h rtems/score/apiext.h \
+    rtems/score/bitfield.h rtems/score/chain.h rtems/score/context.h \
+    rtems/score/copyrt.h rtems/score/coremsg.h rtems/score/coremutex.h \
+    rtems/score/coresem.h rtems/score/heap.h rtems/score/interr.h \
+    rtems/score/isr.h rtems/score/object.h rtems/score/priority.h \
+    rtems/score/stack.h rtems/score/states.h rtems/score/sysstate.h \
+    rtems/score/thread.h rtems/score/threadq.h rtems/score/tod.h \
+    rtems/score/tqdata.h rtems/score/userext.h rtems/score/watchdog.h \
+    rtems/score/wkspace.h
+
+if HAS_MP
+include_rtems_score_HEADERS = $(STD_H_FILES) $(MP_H_FILES) rtems/score/cpuopts.h
+else
+include_rtems_score_HEADERS = $(STD_H_FILES) rtems/score/cpuopts.h
+endif
+
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/rtems/score \
+    $(include_rtems_score_HEADERS:%=$(PROJECT_INCLUDE)/%)
+
+# make the cpu dependent options file
+# FIXME: We are exporting a config-header here, which is a bad idea in
+# general
+rtems/score/cpuopts.h: rtems/score/cpuopts-tmp.h
+	@echo "/* target cpu dependent options file */"        >$@
+	@echo "/* automatically generated -- DO NOT EDIT!! */" >>$@
+	@echo                                                  >>$@
+	@echo "#ifndef __CPU_OPTIONS_h"                        >>$@
+	@echo "#define __CPU_OPTIONS_h"                        >>$@
+	@echo                                                  >>$@
+	@cat cpuopts-tmp.h                                     >>$@
+	@echo                                                  >>$@
+	@echo "#endif"                                         >>$@
+
+all-local: $(PREINSTALL_FILES)
+
 include $(top_srcdir)/../../../automake/local.am
Index: cpukit/score/inline/Makefile.am
===================================================================
--- cpukit/score/inline/Makefile.am	(revision 5be35eecb438fb7c18d979215cce927a2e863996)
+++ cpukit/score/inline/Makefile.am	(revision ff61414ac86ec7097a1c39a6904dacddf6f90599)
@@ -3,8 +3,42 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
+AUTOMAKE_OPTIONS = foreign 1.5
 
-SUBDIRS = rtems
+$(PROJECT_INCLUDE)/%: %
+	$(INSTALL_DATA) $< $@
 
-include $(top_srcdir)/../../../automake/subdirs.am
+include_rtems_scoredir = $(includedir)/rtems/score
+
+$(PROJECT_INCLUDE)/rtems/score:
+	@$(mkinstalldirs) $@
+
+## We only build multiprocessing related files if HAS_MP was defined
+MP_I_FILES = rtems/score/mppkt.inl rtems/score/objectmp.inl rtems/score/threadmp.inl
+
+STD_I_FILES = rtems/score/address.inl rtems/score/chain.inl \
+    rtems/score/coremsg.inl rtems/score/coremutex.inl rtems/score/coresem.inl \
+    rtems/score/heap.inl rtems/score/isr.inl rtems/score/object.inl \
+    rtems/score/priority.inl rtems/score/stack.inl rtems/score/states.inl \
+    rtems/score/sysstate.inl rtems/score/thread.inl rtems/score/tod.inl \
+    rtems/score/tqdata.inl rtems/score/userext.inl rtems/score/watchdog.inl \
+    rtems/score/wkspace.inl
+
+if HAS_MP
+I_FILES = $(STD_I_FILES) $(MP_I_FILES)
+else
+I_FILES = $(STD_I_FILES)
+endif
+
+if INLINE
+include_rtems_score_HEADERS = $(I_FILES)
+
+PREINSTALL_FILES = $(PROJECT_INCLUDE)/rtems/score \
+    $(include_rtems_score_HEADERS:%=$(PROJECT_INCLUDE)/%)
+
+endif
+
+all-local: $(PREINSTALL_FILES)
+
+EXTRA_DIST = $(STD_I_FILES) $(MP_I_FILES)
+
 include $(top_srcdir)/../../../automake/local.am
Index: cpukit/score/macros/Makefile.am
===================================================================
--- cpukit/score/macros/Makefile.am	(revision 5be35eecb438fb7c18d979215cce927a2e863996)
+++ cpukit/score/macros/Makefile.am	(revision ff61414ac86ec7097a1c39a6904dacddf6f90599)
@@ -3,10 +3,42 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
+AUTOMAKE_OPTIONS = foreign 1.5
 
-SUBDIRS = rtems
+$(PROJECT_INCLUDE)/%: %
+	$(INSTALL_DATA) $< $@
 
-EXTRA_DIST = README
+include_rtems_scoredir = $(includedir)/rtems/score
 
-include $(top_srcdir)/../../../automake/subdirs.am
+$(PROJECT_INCLUDE)/rtems/score:
+	@$(mkinstalldirs) $@
+
+## We only build multiprocessing related files if HAS_MP was defined
+MP_I_FILES = rtems/score/mppkt.inl rtems/score/objectmp.inl rtems/score/threadmp.inl
+
+STD_I_FILES = rtems/score/address.inl rtems/score/chain.inl \
+    rtems/score/coremsg.inl rtems/score/coremutex.inl rtems/score/coresem.inl \
+    rtems/score/heap.inl rtems/score/isr.inl rtems/score/object.inl \
+    rtems/score/priority.inl rtems/score/stack.inl rtems/score/states.inl \
+    rtems/score/sysstate.inl rtems/score/thread.inl rtems/score/tod.inl \
+    rtems/score/tqdata.inl rtems/score/userext.inl rtems/score/watchdog.inl \
+    rtems/score/wkspace.inl
+
+if HAS_MP
+I_FILES = $(STD_I_FILES) $(MP_I_FILES)
+else
+I_FILES = $(STD_I_FILES)
+endif
+
+if MACROS
+include_rtems_score_HEADERS = $(I_FILES)
+
+PREINSTALL_FILES = $(PROJECT_INCLUDE)/rtems/score \
+    $(include_rtems_score_HEADERS:%=$(PROJECT_INCLUDE)/%)
+
+endif
+
+all-local: $(PREINSTALL_FILES)
+
+EXTRA_DIST = $(STD_I_FILES) $(MP_I_FILES) README
+
 include $(top_srcdir)/../../../automake/local.am
